<?php
/**
 * This project has been generated by worker generator
 * has been made by fahmi sulaiman
 * sulaimanfahmi@gmail.com
 * check out my github @dekaulitz
 */

namespace App\Http\Controllers\Administrator;

use App\Exceptions\DefaultException;
use App\Http\Base\BaseApiController;
use App\Http\Base\BaseController;
use App\Http\Handler\CurlHandler;
use App\Http\Handler\SyncHandler;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Http\Services\LogsyncoracleService;
use App\Http\Services\LogsynckapalService;

class LogsyncController extends BaseController
{
    protected $baseService;

    /**
     * Item constructor.
     */
    public function __construct($request)
    {
        parent::__construct();

        $auth = json_decode($request->session()->get('auth'));
        if($auth->aplikasi == "HO") {
            $this->kapalHO = "HO";
            $this->baseService = new LogsyncoracleService();
        } else {
            $this->kapalHO = "Kapal";            
            $this->baseService = new LogsynckapalService();
        }
        
    }

    /**
     * @param Request $request
     * @return \Illuminate\Http\JsonResponse
     */
    public function paging(Request $request)
    {
        $this->data["ordering"] = [ 
            "process_date:asc" => "Tanggal &uarr;"
            , "process_date:desc" => "Tanggal &darr;"
            , "process_name:asc" => "Process Name &uarr;"
            , "process_name:desc" => "Process Name &darr;"
        ];
        $this->data["title"] = $this->kapalHO;
        $this->data["logs"] = $this->baseService->paging($request);
        return view("modules.logsync.logsync_index", $this->data);
    }

}